<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class AoDateRepChanged extends AbsMail
{

    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Consultation @1@, modification de la date limite de réponse.'),
            $this->listeData['NAO']
        );
    }

    public function getMessage(): string
    {
        $trad = $this->trad;
        return implode("\r\n", [
            $trad->t('Bonjour,'),
            '',
            Trad::strBuild(
                $this->trad->t('Nous tenons à vous informer que la date de réponse autorisée pour la consultation @1@ pour laquelle nous vous sollicitons a été modifiée du @2@ au @3@.'),
                $this->listeData['NAO'],
                $this->listeData['OLD_DTE_LREP'],
                $this->listeData['DTE_LREP'],
            ),
            '',
            $trad->t('Cordialement.'),
            $this->listeData['NOM_ACH'],
        ]);
    }
}
